* Return ABSOLUTE VALUE of argument: int abs(int arg)
abs	TSX			;Address stack
	LDD	4,X		;Get argument
	BPL	?1		;Alreay positive
	NEGD			;Convert to negative
?1	RTS
* Return MAXIMUM of two arguments: int max(int arg1, int arg2)
max	TSX			;Address stack
	LDD	4,X		;Get first argument
	CPD	6,X		;Compare with second
	BGE	?1		;Already have largest
?2	LDD	6,X		;Get largest
	RTS
* Return MINIMUM of two arguments: int min(int arg1, int arg2)
min	TSX			;Address stack
	LDD	4,X		;Get first argument
	CPD	6,X		;Compare with second
	BLE	?1		;Already have smallest
	BRA	?2		;Get smallest
* Return SQUARE ROOT of argument: int sqrt(int arg)
sqrt	TSX			;Address stack
	LDD	#256		;Default value
	LDE	4,X		;Get argument
	CPE	#255*255	;Over limit
	BHI	?4		;Assume 256
	CLRD			;Start with zero
?3	PSHM	D		;Save original value
	TDE			;Copy for x2
	EMUL			;D=E*D
	CPD	4,X		;Do we have it?
	PULM	D		;Restore value
	BHS	?4		;Yes, this is it
	ADDD	#1		;Advance
	BRA	?3		;And proceed
?4	RTS
