* Set memory contents: memset(dest, value, size)
memset	TSX			;Address stack
	LDY	4,X		;Get size
	LDD	6,X		;Get value
	LDX	8,X		;Get dest
?1	STAB	0,X		;Write a value
	AIX	#1		;Advance dest
	AIY	#-1		;Reduce count
	BNE	?1		;Do all locations
	RTS
* Copy memory contents: memcpy(dest, source, size)
memcpy	TSX			;Address stack
	LDY	8,X		;Get destination
	LDE	4,X		;Get size
	LDX	6,X		;Get source
?2	LDAA	0,X		;Read a byte
	STAA	0,Y		;Write a byte
	AIX	#1		;Advance source
	AIY	#1		;Advance dest
	SUBE	#1		;Reduce count
	BNE	?2		;Do all locations
	RTS
