/*
 * Include this file to install "trap" interrupt handlers for all 68HC16
 * Interrupts. If any interrupt occurs which has not been directed elsewhere
 * the system will output "*** Unexpected Interrupt n at pk:pc ***" (via
 * printf()) then return to the background debugger.
 *
 * This file must be included BEFORE any interrupt vectors are assigned!
 * (ie: Include this file before including and using the INTERRUPT macro)
 *
 * Copyright 1997-2005 Dave Dunfield
 * All rights reserved.
 */
asm {
$SE:0
_TRAP_	EQU	*
		ORG 4*2
		FDB	_int4
		FDB	_int5
		FDB	_int6
		FDB	_int7
		FDB	_int8
		FDB	_int9
		FDB	_int10
		FDB	_int11
		FDB	_int12
		FDB	_int13
		FDB	_int14
		FDB	_int15
		FDB	_int16
		FDB	_int17
		FDB	_int18
		FDB	_int19
		FDB	_int20
		FDB	_int21
		FDB	_int22
		FDB	_int23
		FDB	_int24
		FDB	_int25
		FDB	_int26
		FDB	_int27
		FDB	_int28
		FDB	_int29
		FDB	_int30
		FDB	_int31
		FDB	_int32
		FDB	_int33
		FDB	_int34
		FDB	_int35
		FDB	_int36
		FDB	_int37
		FDB	_int38
		FDB	_int39
		FDB	_int40
		FDB	_int41
		FDB	_int42
		FDB	_int43
		FDB	_int44
		FDB	_int45
		FDB	_int46
		FDB	_int47
		FDB	_int48
		FDB	_int49
		FDB	_int50
		FDB	_int51
		FDB	_int52
		FDB	_int53
		FDB	_int54
		FDB	_int55
		FDB	_int56
		FDB	_int57
		FDB	_int58
		FDB	_int59
		FDB	_int60
		FDB	_int61
		FDB	_int62
		FDB	_int63
		FDB	_int64
		FDB	_int65
		FDB	_int66
		FDB	_int67
		FDB	_int68
		FDB	_int69
		FDB	_int70
		FDB	_int71
		FDB	_int72
		FDB	_int73
		FDB	_int74
		FDB	_int75
		FDB	_int76
		FDB	_int77
		FDB	_int78
		FDB	_int79
		FDB	_int80
		FDB	_int81
		FDB	_int82
		FDB	_int83
		FDB	_int84
		FDB	_int85
		FDB	_int86
		FDB	_int87
		FDB	_int88
		FDB	_int89
		FDB	_int90
		FDB	_int91
		FDB	_int92
		FDB	_int93
		FDB	_int94
		FDB	_int95
		FDB	_int96
		FDB	_int97
		FDB	_int98
		FDB	_int99
		FDB	_int100
		FDB	_int101
		FDB	_int102
		FDB	_int103
		FDB	_int104
		FDB	_int105
		FDB	_int106
		FDB	_int107
		FDB	_int108
		FDB	_int109
		FDB	_int110
		FDB	_int111
		FDB	_int112
		FDB	_int113
		FDB	_int114
		FDB	_int115
		FDB	_int116
		FDB	_int117
		FDB	_int118
		FDB	_int119
		FDB	_int120
		FDB	_int121
		FDB	_int122
		FDB	_int123
		FDB	_int124
		FDB	_int125
		FDB	_int126
		FDB	_int127
		FDB	_int128
		FDB	_int129
		FDB	_int130
		FDB	_int131
		FDB	_int132
		FDB	_int133
		FDB	_int134
		FDB	_int135
		FDB	_int136
		FDB	_int137
		FDB	_int138
		FDB	_int139
		FDB	_int140
		FDB	_int141
		FDB	_int142
		FDB	_int143
		FDB	_int144
		FDB	_int145
		FDB	_int146
		FDB	_int147
		FDB	_int148
		FDB	_int149
		FDB	_int150
		FDB	_int151
		FDB	_int152
		FDB	_int153
		FDB	_int154
		FDB	_int155
		FDB	_int156
		FDB	_int157
		FDB	_int158
		FDB	_int159
		FDB	_int160
		FDB	_int161
		FDB	_int162
		FDB	_int163
		FDB	_int164
		FDB	_int165
		FDB	_int166
		FDB	_int167
		FDB	_int168
		FDB	_int169
		FDB	_int170
		FDB	_int171
		FDB	_int172
		FDB	_int173
		FDB	_int174
		FDB	_int175
		FDB	_int176
		FDB	_int177
		FDB	_int178
		FDB	_int179
		FDB	_int180
		FDB	_int181
		FDB	_int182
		FDB	_int183
		FDB	_int184
		FDB	_int185
		FDB	_int186
		FDB	_int187
		FDB	_int188
		FDB	_int189
		FDB	_int190
		FDB	_int191
		FDB	_int192
		FDB	_int193
		FDB	_int194
		FDB	_int195
		FDB	_int196
		FDB	_int197
		FDB	_int198
		FDB	_int199
		FDB	_int200
		FDB	_int201
		FDB	_int202
		FDB	_int203
		FDB	_int204
		FDB	_int205
		FDB	_int206
		FDB	_int207
		FDB	_int208
		FDB	_int209
		FDB	_int210
		FDB	_int211
		FDB	_int212
		FDB	_int213
		FDB	_int214
		FDB	_int215
		FDB	_int216
		FDB	_int217
		FDB	_int218
		FDB	_int219
		FDB	_int220
		FDB	_int221
		FDB	_int222
		FDB	_int223
		FDB	_int224
		FDB	_int225
		FDB	_int226
		FDB	_int227
		FDB	_int228
		FDB	_int229
		FDB	_int230
		FDB	_int231
		FDB	_int232
		FDB	_int233
		FDB	_int234
		FDB	_int235
		FDB	_int236
		FDB	_int237
		FDB	_int238
		FDB	_int239
		FDB	_int240
		FDB	_int241
		FDB	_int242
		FDB	_int243
		FDB	_int244
		FDB	_int245
		FDB	_int246
		FDB	_int247
		FDB	_int248
		FDB	_int249
		FDB	_int250
		FDB	_int251
		FDB	_int252
		FDB	_int253
		FDB	_int254
		FDB	_int255
		ORG	_TRAP_
_int4	JSR _trap
_int5	JSR _trap
_int6	JSR _trap
_int7	JSR _trap
_int8	JSR _trap
_int9	JSR _trap
_int10	JSR _trap
_int11	JSR _trap
_int12	JSR _trap
_int13	JSR _trap
_int14	JSR _trap
_int15	JSR _trap
_int16	JSR _trap
_int17	JSR _trap
_int18	JSR _trap
_int19	JSR _trap
_int20	JSR _trap
_int21	JSR _trap
_int22	JSR _trap
_int23	JSR _trap
_int24	JSR _trap
_int25	JSR _trap
_int26	JSR _trap
_int27	JSR _trap
_int28	JSR _trap
_int29	JSR _trap
_int30	JSR _trap
_int31	JSR _trap
_int32	JSR _trap
_int33	JSR _trap
_int34	JSR _trap
_int35	JSR _trap
_int36	JSR _trap
_int37	JSR _trap
_int38	JSR _trap
_int39	JSR _trap
_int40	JSR _trap
_int41	JSR _trap
_int42	JSR _trap
_int43	JSR _trap
_int44	JSR _trap
_int45	JSR _trap
_int46	JSR _trap
_int47	JSR _trap
_int48	JSR _trap
_int49	JSR _trap
_int50	JSR _trap
_int51	JSR _trap
_int52	JSR _trap
_int53	JSR _trap
_int54	JSR _trap
_int55	JSR _trap
_int56	JSR _trap
_int57	JSR _trap
_int58	JSR _trap
_int59	JSR _trap
_int60	JSR _trap
_int61	JSR _trap
_int62	JSR _trap
_int63	JSR _trap
_int64	JSR _trap
_int65	JSR _trap
_int66	JSR _trap
_int67	JSR _trap
_int68	JSR _trap
_int69	JSR _trap
_int70	JSR _trap
_int71	JSR _trap
_int72	JSR _trap
_int73	JSR _trap
_int74	JSR _trap
_int75	JSR _trap
_int76	JSR _trap
_int77	JSR _trap
_int78	JSR _trap
_int79	JSR _trap
_int80	JSR _trap
_int81	JSR _trap
_int82	JSR _trap
_int83	JSR _trap
_int84	JSR _trap
_int85	JSR _trap
_int86	JSR _trap
_int87	JSR _trap
_int88	JSR _trap
_int89	JSR _trap
_int90	JSR _trap
_int91	JSR _trap
_int92	JSR _trap
_int93	JSR _trap
_int94	JSR _trap
_int95	JSR _trap
_int96	JSR _trap
_int97	JSR _trap
_int98	JSR _trap
_int99	JSR _trap
_int100	JSR _trap
_int101	JSR _trap
_int102	JSR _trap
_int103	JSR _trap
_int104	JSR _trap
_int105	JSR _trap
_int106	JSR _trap
_int107	JSR _trap
_int108	JSR _trap
_int109	JSR _trap
_int110	JSR _trap
_int111	JSR _trap
_int112	JSR _trap
_int113	JSR _trap
_int114	JSR _trap
_int115	JSR _trap
_int116	JSR _trap
_int117	JSR _trap
_int118	JSR _trap
_int119	JSR _trap
_int120	JSR _trap
_int121	JSR _trap
_int122	JSR _trap
_int123	JSR _trap
_int124	JSR _trap
_int125	JSR _trap
_int126	JSR _trap
_int127	JSR _trap
_int128	JSR _trap
_int129	JSR _trap
_int130	JSR _trap
_int131	JSR _trap
_int132	JSR _trap
_int133	JSR _trap
_int134	JSR _trap
_int135	JSR _trap
_int136	JSR _trap
_int137	JSR _trap
_int138	JSR _trap
_int139	JSR _trap
_int140	JSR _trap
_int141	JSR _trap
_int142	JSR _trap
_int143	JSR _trap
_int144	JSR _trap
_int145	JSR _trap
_int146	JSR _trap
_int147	JSR _trap
_int148	JSR _trap
_int149	JSR _trap
_int150	JSR _trap
_int151	JSR _trap
_int152	JSR _trap
_int153	JSR _trap
_int154	JSR _trap
_int155	JSR _trap
_int156	JSR _trap
_int157	JSR _trap
_int158	JSR _trap
_int159	JSR _trap
_int160	JSR _trap
_int161	JSR _trap
_int162	JSR _trap
_int163	JSR _trap
_int164	JSR _trap
_int165	JSR _trap
_int166	JSR _trap
_int167	JSR _trap
_int168	JSR _trap
_int169	JSR _trap
_int170	JSR _trap
_int171	JSR _trap
_int172	JSR _trap
_int173	JSR _trap
_int174	JSR _trap
_int175	JSR _trap
_int176	JSR _trap
_int177	JSR _trap
_int178	JSR _trap
_int179	JSR _trap
_int180	JSR _trap
_int181	JSR _trap
_int182	JSR _trap
_int183	JSR _trap
_int184	JSR _trap
_int185	JSR _trap
_int186	JSR _trap
_int187	JSR _trap
_int188	JSR _trap
_int189	JSR _trap
_int190	BSR _trap
_int191	BSR _trap
_int192	BSR _trap
_int193	BSR _trap
_int194	BSR _trap
_int195	BSR _trap
_int196	BSR _trap
_int197	BSR _trap
_int198	BSR _trap
_int199	BSR _trap
_int200	BSR _trap
_int201	BSR _trap
_int202	BSR _trap
_int203	BSR _trap
_int204	BSR _trap
_int205	BSR _trap
_int206	BSR _trap
_int207	BSR _trap
_int208	BSR _trap
_int209	BSR _trap
_int210	BSR _trap
_int211	BSR _trap
_int212	BSR _trap
_int213	BSR _trap
_int214	BSR _trap
_int215	BSR _trap
_int216	BSR _trap
_int217	BSR _trap
_int218	BSR _trap
_int219	BSR _trap
_int220	BSR _trap
_int221	BSR _trap
_int222	BSR _trap
_int223	BSR _trap
_int224	BSR _trap
_int225	BSR _trap
_int226	BSR _trap
_int227	BSR _trap
_int228	BSR _trap
_int229	BSR _trap
_int230	BSR _trap
_int231	BSR _trap
_int232	BSR _trap
_int233	BSR _trap
_int234	BSR _trap
_int235	BSR _trap
_int236	BSR _trap
_int237	BSR _trap
_int238	BSR _trap
_int239	BSR _trap
_int240	BSR _trap
_int241	BSR _trap
_int242	BSR _trap
_int243	BSR _trap
_int244	BSR _trap
_int245	BSR _trap
_int246	BSR _trap
_int247	BSR _trap
_int248	BSR _trap
_int249	BSR _trap
_int250	BSR _trap
_int251	BSR _trap
_int252	BSR _trap
_int253	BSR _trap
_int254	BSR _trap
_int255	BSR _trap
* Insure the extensions are correct, then call C unexpected interrupt handler
_trap	TSKB				Assume SK is set to C memory bank
		TBEK				Set direct page
		TBXK				Set 'X' page
		TBYK				Set 'Y' page
		TBZK				Set 'Z' page
		BSR		int_trap	Call C function (vector info still on stack)
		BGND				If return, back to debugger
}

/*
 * C interrupt handler. You can modify this for custom exception processing.
 * Vector information resides on the stack and can be accessed as standard
 * C parameters (last parameter is redundant copy of CC and is ignored)
 */
int_trap(unsigned pc, unsigned cc, unsigned vec, ignore)
{
	extern char _TRAP_[];
	printf("*** Unexpected interrupt %u at %x:%04x ***\n",
		((int)(vec - _TRAP_) / 4) + 3, cc & 0x0F, pc);
}
