* Read a BYTE of memory: int peek(page, address)
peek	TSX			;Address stack
	LDD	6,X		;Get page
	LDX	4,X		;Get address
	PSHM	K		;Save extension
	TBXK			;Set extension
	LDAB	0,X		;Get value
	PULM	K		;Restore extension
	CLRA			;Zero high
	RTS
* Read a WORD of memory: int peekw(page, address)
peekw	TSX			;Address stack
	LDD	6,X		;Get page
	LDX	4,X		;Get address
	PSHM	K		;Save extension
	TBXK			;Set extension
	LDD	0,X		;Get value
	PULM	K		;Restore extension
	RTS
* Write a BYTE to memory: poke(page, address, data)
poke	TSX			;Address stack
	LDAA	5,X		;Get data
	LDAB	9,X		;Get page
	LDX	6,X		;Get address
	PSHM	K		;Save extension
	TBXK			;Set extension
	STAA	0,X		;Write the bute
	PULM	K		;Restore extension
	RTS
* Write a WORD to memory: pokew(address, data)
pokew	TSX			;Address stack
	LDE	4,X		;Get value
	LDD	8,X		;Get page
	LDX	6,X		;Get address
	PSHM	K		;Save extension
	TBXK			;Set extension
	STE	0,X		;Write the word
	PULM	K		;Restore extension
	RTS
